ApiHBaseReplicationSecurityTool (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHBaseReplicationSecurityTool

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseReplicationSecurityTool

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHBaseReplicationSecurityTool
      extends Object

  HBase Replication Security Tool Management

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseReplicationSecurityTool()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getKeystoreFilePath()` Get keystoreFilePath
    `String` | `getPassword()` Get password
    `int` | `hashCode()`
    `ApiHBaseReplicationSecurityTool` | `keystoreFilePath(String keystoreFilePath)`
    `ApiHBaseReplicationSecurityTool` | `password(String password)`
    `void` | `setKeystoreFilePath(String keystoreFilePath)`
    `void` | `setPassword(String password)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseReplicationSecurityTool

          public ApiHBaseReplicationSecurityTool()

  - ### Method Detail

    - #### password

          public ApiHBaseReplicationSecurityTool password(String password)

    - #### getPassword

          public String getPassword()

      Get password
      Returns:
        password

    - #### setPassword

          public void setPassword(String password)

    - #### keystoreFilePath

          public ApiHBaseReplicationSecurityTool keystoreFilePath(String keystoreFilePath)

    - #### getKeystoreFilePath

          public String getKeystoreFilePath()

      Get keystoreFilePath
      Returns:
        keystoreFilePath

    - #### setKeystoreFilePath

          public void setKeystoreFilePath(String keystoreFilePath)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.